"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var BetaFeedbackSection = function BetaFeedbackSection(props) {
  return _react["default"].createElement("div", {
    className: "uifw-message information uifw-message--custom uifw-message--with-action u-no-print ".concat(props.extraCssClasses)
  }, _react["default"].createElement("div", {
    className: (0, _classnames["default"])('uifw-message__icon', props.icons)
  }), _react["default"].createElement("div", {
    className: "uifw-message__information"
  }, _react["default"].createElement("header", {
    className: "uifw-message-header"
  }, props.header), _react["default"].createElement("div", {
    className: "uifw-message-body"
  }, _react["default"].createElement("div", null, props.body))), _react["default"].createElement("div", {
    className: "uifw-message__action"
  }, props.children));
};

BetaFeedbackSection.propTypes = {
  icons: _propTypes["default"].string.isRequired,
  body: _propTypes["default"].string.isRequired,
  children: _propTypes["default"].oneOfType([_propTypes["default"].element, _propTypes["default"].array]),
  header: _propTypes["default"].string.isRequired,
  extraCssClasses: _propTypes["default"].string
};
BetaFeedbackSection.defaultProps = {
  children: [],
  extraCssClasses: ''
};
var _default = BetaFeedbackSection;
exports["default"] = _default;