"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; return newObj; } }

var BreadcrumbHeader = function BreadcrumbHeader(props) {
  return _react["default"].createElement("section", {
    id: props.id,
    className: "uifw-intro-bar"
  }, _react["default"].createElement("div", {
    className: "uifw-intro-bar__inner"
  }, props.children));
};

BreadcrumbHeader.propTypes = {
  id: _propTypes["default"].string,
  children: _propTypes["default"].oneOfType([_propTypes["default"].element, _propTypes["default"].array]).isRequired
};
BreadcrumbHeader.defaultProps = {
  id: null
};
var _default = BreadcrumbHeader;
exports["default"] = _default;