"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var PropTypes = require('prop-types');

var React = require("react");

var _ = require("underscore");

var $ = require("jquery");

var ReactDOM = require('react-dom');

var Dialog = require("./Dialog");

var LeftDialogContent =
/*#__PURE__*/
function (_React$Component) {
  _inherits(LeftDialogContent, _React$Component);

  function LeftDialogContent() {
    _classCallCheck(this, LeftDialogContent);

    return _possibleConstructorReturn(this, _getPrototypeOf(LeftDialogContent).apply(this, arguments));
  }

  _createClass(LeftDialogContent, [{
    key: "render",
    value: function render() {
      return React.createElement("div", null, this.props.children);
    }
  }]);

  return LeftDialogContent;
}(React.Component);

_defineProperty(LeftDialogContent, "propTypes", {
  children: PropTypes.any
});

var leftComponent = null;

var SplitDialog =
/*#__PURE__*/
function (_React$Component2) {
  _inherits(SplitDialog, _React$Component2);

  function SplitDialog() {
    _classCallCheck(this, SplitDialog);

    return _possibleConstructorReturn(this, _getPrototypeOf(SplitDialog).apply(this, arguments));
  }

  _createClass(SplitDialog, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var leftClass = "uifw-split-dialog-left-panel";
      var leftPW = this.props.leftPanelWidth;
      var rightClass = "uifw-split-dialog-right-panel";
      var rightPW = this.props.rightPanelWidth;
      var ldc = React.createElement(LeftDialogContent, null, this.props.children[0]);
      var $dialog = $(".uifw-split-dialog");
      var $row = $dialog.children().wrapAll("<div class='uifw-grid' />").wrapAll("<div class='uifw-gr-p0' />").wrapAll("<div class='uifw-gc-".concat(rightPW, " fh ").concat(rightClass, "' />"));
      $row.parent().parent().prepend("<div class='uifw-gc-".concat(leftPW, " ").concat(leftClass, "' />"));
      leftComponent = $(".".concat(leftClass))[0];
      ReactDOM.render(ldc, $(".".concat(leftClass))[0]);
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount(nextProps, nextState) {
      ReactDOM.unmountComponentAtNode(leftComponent);
    }
  }, {
    key: "render",
    value: function render() {
      var options = this.props.options == null ? {} : this.props.options;
      options.dialogClass = "uifw-split-dialog";
      return React.createElement(Dialog, {
        options: options
      }, this.props.children.slice(1, this.props.children.length));
    }
  }]);

  return SplitDialog;
}(React.Component);

_defineProperty(SplitDialog, "defaultProps", {
  leftPanelWidth: "8",
  rightPanelWidth: "4"
});

_defineProperty(SplitDialog, "propTypes", {
  options: PropTypes.object,
  leftPanelWidth: PropTypes.string,
  rightPanelWidth: PropTypes.string,
  children: PropTypes.arrayOf(PropTypes.node)
});

var _default = SplitDialog;
exports["default"] = _default;