"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var FeatureBanner = function FeatureBanner(props) {
  return _react["default"].createElement("div", {
    className: "uifw-message uifw-message--custom uifw-message--established-trial"
  }, _react["default"].createElement("div", {
    className: props.messageIcon
  }), _react["default"].createElement("div", {
    className: "uifw-message__information"
  }, props.subHeader !== null ? _react["default"].createElement("header", {
    className: "uifw-message-subheader"
  }, props.subHeader) : null, _react["default"].createElement("header", {
    className: "uifw-message-header"
  }, props.header), _react["default"].createElement("div", {
    className: "uifw-message-body"
  }, props.description)), props.children !== null ? _react["default"].createElement("div", {
    className: "uifw-message__action"
  }, props.children) : null);
};

FeatureBanner.propTypes = {
  messageIcon: _propTypes["default"].string,
  subHeader: _propTypes["default"].string,
  header: _propTypes["default"].string.isRequired,
  description: _propTypes["default"].string.isRequired,
  children: _propTypes["default"].oneOfType([_propTypes["default"].array, _propTypes["default"].element])
};
FeatureBanner.defaultProps = {
  messageIcon: 'uifw-message__icon',
  subHeader: null,
  children: null
};
var _default = FeatureBanner;
exports["default"] = _default;