"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _FilePickerBreadcrumbPopout = _interopRequireDefault(require("./FilePickerBreadcrumbPopout"));

var _Icon = _interopRequireDefault(require("../Icon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * <p>The FilePickerBreadcrumbHeader is used to generate the form row in the filePicker which
 * is used for the folder form row. <p>
 */
var FilePickerBreadcrumbHeader =
/*#__PURE__*/
function (_React$Component) {
  _inherits(FilePickerBreadcrumbHeader, _React$Component);

  function FilePickerBreadcrumbHeader() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, FilePickerBreadcrumbHeader);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(FilePickerBreadcrumbHeader)).call.apply(_getPrototypeOf2, [this].concat(args)));

    _defineProperty(_assertThisInitialized(_this), "dummyFunc", function () {});

    return _this;
  }

  _createClass(FilePickerBreadcrumbHeader, [{
    key: "render",
    value: function render() {
      return _react["default"].createElement("headers", {
        className: "uifw-file-manager__header"
      }, _react["default"].createElement("div", {
        className: "uifw-fm-breadcrumb"
      }, _react["default"].createElement(_FilePickerBreadcrumbPopout["default"], {
        breadcrumbHeaderOptions: this.props.breadcrumbHeaderOptions,
        togglePopoutSection: this.props.togglePopoutSection,
        isPopoutViewable: this.props.isPopoutViewable,
        selectFolderToView: this.props.selectFolderToView
      }), this.props.breadcrumbHeaderOptions.map(function (breadcrumbHeaderTitles) {
        return [_react["default"].createElement("div", {
          className: "uifw-fm-breadcrumb__separate"
        }, _react["default"].createElement(_Icon["default"], {
          icon: "uifw-icon-angle-right"
        })), _react["default"].createElement("div", {
          className: "uifw-fm-breadcrumb__item uifw-fm-breadcrumb__item--current"
        }, breadcrumbHeaderTitles.folderName)];
      }).reverse()));
    }
  }]);

  return FilePickerBreadcrumbHeader;
}(_react["default"].Component);

FilePickerBreadcrumbHeader.propTypes = {
  togglePopoutSection: _propTypes["default"].func.isRequired,
  selectFolderToView: _propTypes["default"].func.isRequired,
  breadcrumbHeaderOptions: _propTypes["default"].oneOfType([_propTypes["default"].array]).isRequired,
  isPopoutViewable: _propTypes["default"].bool.isRequired
};
var _default = FilePickerBreadcrumbHeader;
exports["default"] = _default;