"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var FilePickerNoFilteredContent = function FilePickerNoFilteredContent(props) {
  return _react["default"].createElement("div", {
    className: "uifw-no-data u-pv++"
  }, _react["default"].createElement("div", {
    className: "uifw-no-data-content"
  }, _react["default"].createElement("div", {
    className: "uifw-no-data-icon"
  }, _react["default"].createElement("i", {
    className: "uifw-icon uifw-icon-search"
  })), _react["default"].createElement("div", {
    className: "uifw-no-data-message"
  }, _react["default"].createElement("header", {
    className: "uifw-no-data-message-title"
  }, "No Results Found"), _react["default"].createElement("div", {
    className: "uifw-no-data-message-description"
  }, _react["default"].createElement("p", null, "There were no results found for files containing ", _react["default"].createElement("b", null, props.query), " in the name.")))));
};

FilePickerNoFilteredContent.propTypes = {
  query: _propTypes["default"].string.isRequired
};
var _default = FilePickerNoFilteredContent;
exports["default"] = _default;