"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var ImagePreview = function ImagePreview(props) {
  return _react["default"].createElement("div", {
    className: (0, _classnames["default"])('uifw-image-preview uifw-image-preview--200px', {
      'uifw-image-preview--empty': props.previewImage == null
    })
  }, props.previewImage == null ? _react["default"].createElement("div", {
    className: "uifw-image-preview__image"
  }) : _react["default"].createElement("div", {
    className: "uifw-image-preview__image"
  }, _react["default"].createElement("img", {
    src: props.previewImage,
    alt: ""
  })), props.children != null ? _react["default"].createElement("div", {
    className: "uifw-image-preview__controls"
  }, props.children) : null);
};

ImagePreview.propTypes = {
  previewImage: _propTypes["default"].string,
  children: _propTypes["default"].oneOfType([_propTypes["default"].element, _propTypes["default"].array])
};
ImagePreview.defaultProps = {
  previewImage: null,
  children: []
};
var _default = ImagePreview;
exports["default"] = _default;