"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var ScrollableFrame = function ScrollableFrame(props) {
  var heightClass = props.height == null ? null : "h-".concat(props.height);
  return _react["default"].createElement("div", {
    className: (0, _classnames["default"])('uifw-scrollable-frame', heightClass)
  }, props.children);
};

ScrollableFrame.propTypes = {
  height: _propTypes["default"].string,
  children: _propTypes["default"].oneOfType([_propTypes["default"].element, _propTypes["default"].array])
};
ScrollableFrame.defaultProps = {
  height: null,
  children: null
};
var _default = ScrollableFrame;
exports["default"] = _default;