"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var Well = function Well(props) {
  return _react["default"].createElement("div", {
    className: (0, _classnames["default"])('uifw-well', props.cssClass)
  }, props.children);
};

Well.propTypes = {
  children: _propTypes["default"].oneOfType([_propTypes["default"].element, _propTypes["default"].array]).isRequired,
  cssClass: _propTypes["default"].string
};
Well.defaultProps = {
  cssClass: ''
};
var _default = Well;
exports["default"] = _default;