const UglifyJsPlugin = require('uglifyjs-webpack-plugin');

const externals = {
  jquery: '$',
  react: 'React',
};

module.exports = {
  // devtool: 'cheap-module-source-map',
  entry: './src/react-uifw.js',
  output: {
    filename: 'react-uifw.js',
    path: __dirname,
    library: 'someLibName',
    libraryTarget: 'commonjs2',
  },
  module: {
    rules: [
      {
        test: /\.js$/,
        exclude: /node_modules/,
        use: {
          loader: 'babel-loader',
        },
      },
    ],
  },
};
