"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var BreadcrumbHeaderLinks = function BreadcrumbHeaderLinks(props) {
  var comps = [];

  _react["default"].Children.forEach(props.children, function (child) {
    comps.push(child);
    comps.push(_react["default"].createElement("i", {
      key: "".concat(child.props && child.props.id ? child.props.id : 'current', "Icon"),
      className: "uifw-icon uifw-icon-angle-right u-mh--"
    }));
  });

  comps.pop();
  return _react["default"].createElement("div", {
    className: "uifw-intro-bar__section"
  }, comps);
};

BreadcrumbHeaderLinks.propTypes = {
  children: _propTypes["default"].oneOfType([_propTypes["default"].element, _propTypes["default"].array])
};
BreadcrumbHeaderLinks.defaultProps = {
  children: null
};
var _default = BreadcrumbHeaderLinks;
exports["default"] = _default;