"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var BreadcrumbHeaderTitle = function BreadcrumbHeaderTitle(props) {
  return _react["default"].createElement("div", {
    className: "uifw-intro-bar__headings"
  }, props.breadcrumbs, _react["default"].createElement("h1", {
    className: "uifw-intro-bar__title"
  }, props.title), props.children);
};

BreadcrumbHeaderTitle.propTypes = {
  title: _propTypes["default"].string.isRequired,
  breadcrumbs: _propTypes["default"].oneOfType([_propTypes["default"].element, _propTypes["default"].array]),
  children: _propTypes["default"].oneOfType([_propTypes["default"].element, _propTypes["default"].array])
};
BreadcrumbHeaderTitle.defaultProps = {
  breadcrumbs: null,
  children: null
};
var _default = BreadcrumbHeaderTitle;
exports["default"] = _default;