"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireWildcard(require("react"));

var _reactCopyToClipboard = require("react-copy-to-clipboard");

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var CopyField =
/*#__PURE__*/
function (_Component) {
  _inherits(CopyField, _Component);

  function CopyField() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, CopyField);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(CopyField)).call.apply(_getPrototypeOf2, [this].concat(args)));

    _defineProperty(_assertThisInitialized(_this), "state", {
      copied: false
    });

    _defineProperty(_assertThisInitialized(_this), "handleCopyPress", function () {
      if (_this.props.copyBeginCallback) {
        _this.props.copyBeginCallback();
      }

      _this.setState({
        copied: true
      });

      setTimeout(function () {
        _this.setState({
          copied: false
        });

        if (_this.props.copyCompleteCallback) {
          _this.props.copyCompleteCallback();
        }
      }, 2000);
    });

    _defineProperty(_assertThisInitialized(_this), "handleFieldClick", function () {
      _this.textfieldInput.select();
    });

    return _this;
  }

  _createClass(CopyField, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      return _react["default"].createElement("div", {
        className: (0, _classnames["default"])('uifw-copy-box', 'js-copy-clipboard-container', {
          'uifw-copy-box--success': this.state.copied
        })
      }, _react["default"].createElement("input", {
        onClick: this.handleFieldClick,
        ref: function ref(input) {
          _this2.textfieldInput = input;
        },
        type: "text",
        className: "uifw-copy-box__field uifw-text-field js-copy-clipboard-field",
        value: this.props.value,
        readOnly: true
      }), _react["default"].createElement(_reactCopyToClipboard.CopyToClipboard, {
        text: this.props.value,
        onCopy: this.handleCopyPress
      }, _react["default"].createElement("a", {
        className: "uifw-copy-box__button js-copy-clipboard"
      }, _react["default"].createElement("i", {
        className: "uifw-icon uifw-icon-copy"
      }), " ", this.state.copied ? 'Copied' : 'Copy')));
    }
  }]);

  return CopyField;
}(_react.Component);

CopyField.propTypes = {
  value: _propTypes["default"].string,
  copyBeginCallback: _propTypes["default"].func,
  copyCompleteCallback: _propTypes["default"].func
};
CopyField.defaultProps = {
  copyBeginCallback: null,
  copyCompleteCallback: null
};
CopyField.defaultProps = {
  value: ''
};
var _default = CopyField;
exports["default"] = _default;