"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var Image = function Image(props) {
  return _react["default"].createElement("img", {
    src: props.src,
    alt: props.alt,
    srcSet: props.srcSet,
    className: props.additionalClasses,
    onError: props.onError
  });
};

Image.propTypes = {
  src: _propTypes["default"].string.isRequired,
  alt: _propTypes["default"].string,
  srcSet: _propTypes["default"].string,
  additionalClasses: _propTypes["default"].string,
  onError: _propTypes["default"].func
};
Image.defaultProps = {
  alt: null,
  srcSet: null,
  additionalClasses: null,
  onError: function onError() {}
};
var _default = Image;
exports["default"] = _default;