"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var Pill = function Pill(props) {
  return _react["default"].createElement("span", {
    className: (0, _classnames["default"])('uifw-pill', props.type)
  }, props.children);
};

Pill.propTypes = {
  type: _propTypes["default"].string,
  children: _propTypes["default"].oneOfType([_propTypes["default"].element, _propTypes["default"].array, _propTypes["default"].string]).isRequired
};
Pill.defaultProps = {
  type: null
};
var _default = Pill;
exports["default"] = _default;