"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var PropTypes = require('prop-types');

var React = require('react');

var ReactDOM = require('react-dom');

var $ = require('jquery');

var classNames = require('classnames');

var Button = require('../Button');

var PopoutMenu =
/*#__PURE__*/
function (_React$Component) {
  _inherits(PopoutMenu, _React$Component);

  function PopoutMenu() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, PopoutMenu);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(PopoutMenu)).call.apply(_getPrototypeOf2, [this].concat(args)));

    _defineProperty(_assertThisInitialized(_this), "openClosePopout", function (e) {
      e.preventDefault();
      var menu = $(ReactDOM.findDOMNode(_this.refs.menu));
      menu.toggle();
      var openMenus = $(".js-popout-menu:visible");
      openMenus.each(function () {
        var self = $(this);
        if (menu.attr("data-reactid") != self.attr("data-reactid")) self.hide();
      });
    });

    return _this;
  }

  _createClass(PopoutMenu, [{
    key: "render",
    value: function render() {
      var buttonIcon = this.props.buttonIcon ? "uifw-icon uifw-icon-" + this.props.buttonIcon : "uifw-icon uifw-icon-chevron-down";
      var popoutPosition = this.props.popoutPosition ? this.props.popoutPosition : "bottom-left";
      return React.createElement("div", {
        className: "uifw-popout-menu-wrapper"
      }, React.createElement(Button, {
        buttonText: this.props.buttonText,
        icon: buttonIcon,
        cssClass: "xsmall normal js-popout-menu-button",
        clickCallback: this.openClosePopout
      }), React.createElement("div", {
        ref: "menu",
        className: classNames("uifw-popout-menu", "uifw-popout-menu--" + popoutPosition, "js-popout-menu", "u-hide")
      }, React.createElement("ul", null, this.props.menuItems.map(function (menuItem, i) {
        if (menuItem.show == null || menuItem.show) {
          var icon = menuItem.icon ? React.createElement("i", {
            className: classNames('uifw-icon', 'uifw-icon-' + menuItem.icon, "u-mr--")
          }) : null;
          return React.createElement("li", {
            key: i
          }, React.createElement("a", {
            href: "#",
            onClick: menuItem.callback,
            className: "js-edit-avatar"
          }, icon, menuItem.text));
        }
      }))));
    }
  }]);

  return PopoutMenu;
}(React.Component);

_defineProperty(PopoutMenu, "propTypes", {
  //Required
  menuItems: PropTypes.array,
  buttonText: PropTypes.string,
  //Optional
  buttonIcon: PropTypes.string,
  popoutPosition: PropTypes.string
});

var _default = PopoutMenu;
exports["default"] = _default;