"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; return newObj; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var SectionEmptyContent =
/*#__PURE__*/
function (_Component) {
  _inherits(SectionEmptyContent, _Component);

  function SectionEmptyContent() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, SectionEmptyContent);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(SectionEmptyContent)).call.apply(_getPrototypeOf2, [this].concat(args)));

    _defineProperty(_assertThisInitialized(_this), "getNoDataActions", function () {
      if (_react["default"].Children.count(_this.props.children) === 0) {
        return null;
      }

      return _react["default"].createElement("div", {
        className: "uifw-no-data-actions"
      }, _this.props.children);
    });

    _defineProperty(_assertThisInitialized(_this), "getNoDataIcon", function () {
      return _react["default"].createElement("div", {
        className: (0, _classnames["default"])('uifw-no-data-icon', _this.props.additionalIconClasses)
      }, _this.props.icon);
    });

    _defineProperty(_assertThisInitialized(_this), "getNoDataMessage", function () {
      if (_this.props.title == null && _this.props.message == null) {
        return null;
      }

      return _react["default"].createElement("div", {
        className: "uifw-no-data-message"
      }, _this.getNoDataMessageHeader(), _this.getNoDataMessageDescription());
    });

    _defineProperty(_assertThisInitialized(_this), "getNoDataMessageDescription", function () {
      if (_this.props.message != null) {
        return _react["default"].createElement("div", {
          className: "uifw-no-data-message-description"
        }, _react["default"].createElement("p", null, _this.props.message));
      }

      return null;
    });

    _defineProperty(_assertThisInitialized(_this), "getNoDataMessageHeader", function () {
      if (_this.props.title != null) {
        return _react["default"].createElement("header", {
          className: "uifw-no-data-message-title"
        }, _this.props.title);
      }

      return null;
    });

    return _this;
  }

  _createClass(SectionEmptyContent, [{
    key: "render",
    value: function render() {
      return _react["default"].createElement("div", {
        className: (0, _classnames["default"])('uifw-no-data', this.props.addtionalWrapperClasses)
      }, _react["default"].createElement("div", {
        className: (0, _classnames["default"])('uifw-no-data-content', this.props.additionalContentClasses)
      }, this.getNoDataIcon(), this.getNoDataMessage(), this.getNoDataActions()));
    }
  }]);

  return SectionEmptyContent;
}(_react.Component);

SectionEmptyContent.propTypes = {
  addtionalWrapperClasses: _propTypes["default"].string,
  additionalContentClasses: _propTypes["default"].string,
  additionalIconClasses: _propTypes["default"].string,
  icon: _propTypes["default"].node.isRequired,
  title: _propTypes["default"].string,
  message: _propTypes["default"].string,
  children: _propTypes["default"].oneOfType([_propTypes["default"].element, _propTypes["default"].array, _propTypes["default"].string])
};
SectionEmptyContent.defaultProps = {
  addtionalWrapperClasses: null,
  additionalContentClasses: null,
  additionalIconClasses: null,
  title: null,
  message: null,
  children: null
};
var _default = SectionEmptyContent;
exports["default"] = _default;