"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var PropTypes = require('prop-types');

var React = require("react");

var classnames = require("classnames");
/**
 * A container for a collection of thumbnail images.
 * <a href="http://internal-uifw/elements.html#images-thumbnail-collections">Internal Documentation</a>
 */


var ThumbnailCollection =
/*#__PURE__*/
function (_React$Component) {
  _inherits(ThumbnailCollection, _React$Component);

  function ThumbnailCollection() {
    _classCallCheck(this, ThumbnailCollection);

    return _possibleConstructorReturn(this, _getPrototypeOf(ThumbnailCollection).apply(this, arguments));
  }

  _createClass(ThumbnailCollection, [{
    key: "render",
    value: function render() {
      return React.createElement("div", {
        className: classnames("uifw-thumbnail-collection", {
          "thumbnail-selected": this.props.hasSelected
        }, this.props.className)
      }, this.props.children);
    }
  }]);

  return ThumbnailCollection;
}(React.Component);

_defineProperty(ThumbnailCollection, "propTypes", {
  /**
   * If set to true, will dim any contained thumbnails that are not selected.
   */
  hasSelected: PropTypes.bool,

  /**
   * Any extra class names to add to the component.
   */
  className: PropTypes.string,

  /**
   * The contained thumbnail images. See <a href="#SelectableThumbnail">SelectableThumbnail</a>
   */
  children: PropTypes.oneOfType([PropTypes.object, PropTypes.array])
});

var _default = ThumbnailCollection;
exports["default"] = _default;